Skip to main content
`Ctrl`+`K`

# miml.classifier.mi.mi_wrapper_classifier.MIWrapperClassifier

class miml.classifier.mi.mi_wrapper_classifier.MIWrapperClassifier(base_classifier=DecisionTreeClassifier())

  MIWrapper Classifier.

  A simple Wrapper method for applying standard propositional learners to multi-instance data.

  ## Attributes

  base_classifier

    Classifier to be used

  ## References

  E. T. Frank, X. Xu (2003). Applying propositional learning algorithms to multi-instance data. Department of Computer Science, University of Waikato, Hamilton, NZ.

  __init__(base_classifier=DecisionTreeClassifier())

  Methods

  `__init__`([base_classifier]) |
  `fit`(x_train, y_train[, weight]) | Fit the classifier to the training data.
  `predict`(bag) | Predict the label of the bag
  `predict_proba`(x_test) | Predict probabilities of given data of having a positive label